#ifndef _SHMAC_PTHREAD_TIMER_H_
#define _SHMAC_PTHREAD_TIMER_H_

#include "shmac/shmac.h"

// how many context switches we want to perform per second
#define CTX_SWITCHES_PER_SEC	10

// the actual rate at which the timer ticks
#define TIMER_TICKS 			((SYS_TICKS_RATE * 4) / CTX_SWITCHES_PER_SEC)

void setup_timer();

void stop_timer();

void start_timer();

void pause_timer();

void continue_timer();

#endif
